#
# spec file for package velero-plugin-for-aws
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define goipath github.com/vmware-tanzu/velero-plugin-for-aws

Name:           velero-plugin-for-aws
Version:        1.4.0
Release:        1.9
Summary:        Velero plugin for AWS
License:        Apache-2.0
Group:          Productivity/Archiving/Backup
URL:            https://velero.io
Source0:        https://github.com/vmware-tanzu/velero-plugin-for-aws/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging
BuildRequires:  golang(API) = 1.14

%description
Plugins to support Velero on Amazon Web Service (AWS)

%prep
%setup -q -a1

%build
%goprep %{goipath}
export CGO_ENABLED=0
%gobuild -mod vendor -installsuffix "static" %{name}

%install
%goinstall

%files
%defattr(-,root,root)
%doc README.md
%%license LICENSE
%{_bindir}/%{name}

%changelog
* Wed Feb 16 2022 jenting.hsiao@suse.com
- Update to version 1.4.0:
  * Bump up busybox version
  * Pin the builder and base image for v1.4.0
  * Update readme and changelog for v1.4.0
  * Add note about EKS permission issue (#97)
  * bump up golang and other dependencies
  * Adding ability for aws shared config (#92)
  * Support snapshotting pv provisioned by csi driver on AWS (#93)
  * Region is not optional if `s3ForcePathStyle` is `true`
* Thu Sep 30 2021 jenting.hsiao@suse.com
- Update to version list:
  * Releasing for 1.3.0
  * fixes for CVE-2021-3121 and CVE-2021-3580
  * Change the base image to distroless
* Wed Jul 28 2021 jenting.hsiao@suse.com
- Update to version 1.2.1:
  * Add changelog for v1.2.1 (#85)
  * Fix typo
  * Update to Velero dependency to v1.6.2 (#83)
  * Update dependencies (#80)
  * Update reviewers (#81)
  * remove ashish-amarnath from maintainers
  * Update auto assign of reviewers (#77)
  * Only publish the container image from the root repo (#73)
* Thu Apr  8 2021 jenting.hsiao@suse.com
- Update to version 1.2.0:
  * Update changelog for v1.2.0
  * Update docs to reference Velero v1.6
  * Use credentials file passed through config (#69)
  * Add jenting as reviewer
  * Update README with new issue filing process. (#68)
  * Add Tilt setup (#66)
  * update compatibility table
  * With the right number
  * Update to latest covenant coc
* Wed Jul 29 2020 jenting hsiao <jenting.hsiao@suse.com>
- Bump version v1.1.0
  * bug fix: have plugin server bind flags to allow --log-level flag to be used (#31, @skriss)
  * support using a custom CA certificate to verify connections to object storage (#34, @mansam)
  * Pull in proxy configuration from environment when constructing custom transport (#37, @dymurray)
  * Update AWS-SDK-GO version to a version that supports regional and private VPC STS endpoints. (#41, @jones-paul1525)
* Tue Mar  3 2020 jenting hsiao <jenting.hsiao@suse.com>
- Bump version 1.0.1
* Wed Feb  5 2020 jenting hsiao <jenting.hsiao@suse.com>
- Add LICENSE file
